# Generated by Django 3.1.2 on 2020-10-15 17:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='LayerOneModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, verbose_name='Layer Name')),
                ('ref_no', models.CharField(default='aa364b31-86c2-48b1-9601-15f9029ae70f', max_length=80, unique=True, verbose_name='Reference No.')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('layer_no', models.IntegerField(default=1, verbose_name='Layer No')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_one_created_by', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
            ],
            options={
                'verbose_name': 'Layer One Model',
                'verbose_name_plural': 'Layer One Models',
                'db_table': 'drf_chart_of_account_layer_one_table',
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LayerTwoModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, verbose_name='Layer Name')),
                ('ref_no', models.CharField(default='aa364b31-86c2-48b1-9601-15f9029ae70f', max_length=80, unique=True, verbose_name='Reference No.')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('layer_no', models.IntegerField(default=2, verbose_name='Layer No')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_two_created_by', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
                ('parent_layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_one_child', to='drf_chart_of_account.layeronemodel', verbose_name='Parent Layer')),
            ],
            options={
                'verbose_name': 'Layer Two Model',
                'verbose_name_plural': 'Layer Two Models',
                'db_table': 'drf_chart_of_account_layer_two_table',
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LayerThreeModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, verbose_name='Layer Name')),
                ('ref_no', models.CharField(default='aa364b31-86c2-48b1-9601-15f9029ae70f', max_length=80, unique=True, verbose_name='Reference No.')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('layer_no', models.IntegerField(default=3, verbose_name='Layer No')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_three_created_by', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
                ('parent_layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_two_child', to='drf_chart_of_account.layertwomodel', verbose_name='Parent Layer')),
            ],
            options={
                'verbose_name': 'Layer Three Model',
                'verbose_name_plural': 'Layer Three Models',
                'db_table': 'drf_chart_of_account_layer_three_table',
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LayerFourModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, verbose_name='Layer Name')),
                ('ref_no', models.CharField(default='aa364b31-86c2-48b1-9601-15f9029ae70f', max_length=80, unique=True, verbose_name='Reference No.')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('layer_no', models.IntegerField(default=4, verbose_name='Layer No')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_four_created_by', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
                ('parent_layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_three_child', to='drf_chart_of_account.layerthreemodel', verbose_name='Parent Layer')),
            ],
            options={
                'verbose_name': 'Layer Four Model',
                'verbose_name_plural': 'Layer Four Models',
                'db_table': 'drf_chart_of_account_layer_four_table',
                'ordering': ['name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LayerFiveModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80, verbose_name='Layer Name')),
                ('ref_no', models.CharField(default='aa364b31-86c2-48b1-9601-15f9029ae70f', max_length=80, unique=True, verbose_name='Reference No.')),
                ('is_active', models.BooleanField(default=True, verbose_name='Active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Updated at')),
                ('layer_no', models.IntegerField(default=5, verbose_name='Layer No')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_five_created_by', to=settings.AUTH_USER_MODEL, verbose_name='Created by')),
                ('parent_layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='layer_four_child', to='drf_chart_of_account.layerfourmodel', verbose_name='Parent Layer')),
            ],
            options={
                'verbose_name': 'Layer Five Model',
                'verbose_name_plural': 'Layer Five Models',
                'db_table': 'drf_chart_of_account_layer_five_table',
                'ordering': ['name'],
                'abstract': False,
            },
        ),
    ]
